package com.njzscloud.supervisory.sys.auth.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.njzscloud.common.security.support.EndpointResource;
import com.njzscloud.common.security.support.MenuResource;
import com.njzscloud.supervisory.biz.pojo.entity.BizDriverEntity;
import com.njzscloud.supervisory.biz.pojo.result.SearchCompanyResult;
import com.njzscloud.supervisory.sys.auth.pojo.result.MyResult;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

@Mapper
public interface AuthMapper {
    List<MenuResource> selectUserMenu(@Param("userId") Long userId);

    List<EndpointResource> selectUserEndpoint(@Param("userId") Long userId);

    Set<String> selectRoleByUserId(@Param("userId") Long userId);

    MyResult selectUser(@Param("ew") QueryWrapper<Object> ew);

    SearchCompanyResult selectCompanyInfo(@Param("userId") Long userId);

    String selectWechatOpenidByUserId(@Param("userId") Long userId);

    BizDriverEntity getDriver(@Param("userId") Long userId);
}
